## ros-noetic-mir-driver 1.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
project(mir_driver)

find_package(catkin REQUIRED COMPONENTS
  actionlib_msgs
  diagnostic_msgs
  dynamic_reconfigure
  geometry_msgs
  mir_actions
  mir_msgs
  move_base_msgs
  nav_msgs
  rosgraph_msgs
  roslaunch
  rospy
  rospy_message_converter
  sensor_msgs
  std_msgs
  tf
  visualization_msgs
)

catkin_python_setup()

###################################
## catkin specific configuration ##
###################################
catkin_package(
  CATKIN_DEPENDS
    actionlib_msgs
    diagnostic_msgs
    dynamic_reconfigure
    geometry_msgs
    mir_actions
    mir_msgs
    move_base_msgs
    nav_msgs
    rosgraph_msgs
    rospy_message_converter
    sensor_msgs
    std_msgs
    tf
    visualization_msgs
)

#############
## Install ##
#############

catkin_install_python(PROGRAMS
  nodes/fake_mir_joint_publisher.py
  nodes/mir_bridge.py
  nodes/rep117_filter.py
  nodes/tf_remove_child_frames.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY
  launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

roslaunch_add_file_check(launch)

=== debian/changelog ===
ros-noetic-mir-driver (1.1.7-1focal) focal; urgency=high

  * Don't set cmake_policy CMP0048
  * Fix pydocstyle errors
  * Add license headers
  * Fix flake8 warnings
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 19 Jan 2023 23:00:00 -0000

ros-noetic-mir-driver (1.1.6-1focal) focal; urgency=high

  * Add arg mir_type to launch files and urdfs
  * Rename mir_100 -> mir
    This is in preparation of mir_250 support.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 01 Jun 2022 22:00:00 -0000

ros-noetic-mir-driver (1.1.5-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 10 Feb 2022 23:00:00 -0000

ros-noetic-mir-driver (1.1.4-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 09 Dec 2021 23:00:00 -0000

ros-noetic-mir-driver (1.1.3-1focal) focal; urgency=high

  * Merge branch 'melodic-2.8' into noetic
  * Subscribe to move_base_simple/goal in relative namespace
  * Use absolute topics for /tf, /tf_static, /map etc.
  * Rename tf frame and topic 'odom_comb' -> 'odom'
    This is how they are called on the real MiR since MiR software 2.0.
  * Fix handling of tf_static topic
    This does two things:
    1. Make the tf_static topic latched.
    2. Cache all transforms, publish as one message.
  * Increase queue_size for publishers + subscribers to 10
    One case where this was a problem was the tf_static topic: Since
    multiple messages are being published at once, the subscriber often
    missed one. The tf_static topic will be fixed anyway in the next commit,
    but let's increase the queue_size anyway to avoid such bugs in the
    future.
  * Update topic list to 2.8.3.1
  * Reformat python code using black
  * Remove outdated topics
    These topics don't exist on MiR software 2.8.3 any more (most of them
    have been removed a long time ago).
    Fixes #37 <https://github.com/dfki-ric/mir_robot/issues/37>.
  * Remove MirStatus
    This message was removed in MiR software 2.0 (Renamed to RobotStatus).
  * Use same MirMoveBase params as real MiR (2.8.3)
    This shouldn't make a difference (it used to work before). Just removing
    one more potential source of error.
  * Fix: Converts move_base_simple/goal into a move_base action. (#62 <https://github.com/dfki-ric/mir_robot/issues/62>)
    At least MIR software version 2.8 does not react properly to move_base_simple/goal messages. This implements a workaround.
    Closes #60 <https://github.com/dfki-ric/mir_robot/issues/60>.
  * Fix: Adds subscription to "tf_static". (#58 <https://github.com/dfki-ric/mir_robot/issues/58>)
    Some transformations are published on this topic and are needed to
    obtain a full tf tree. E.g. "base_footprint" to "base_link"
  * Minor: Removes /particlecloud from the list of published topics. (#57 <https://github.com/dfki-ric/mir_robot/issues/57>)
  * Fix: Add missing dict_filter keyword argument for cmd_vel msgs (#56 <https://github.com/dfki-ric/mir_robot/issues/56>)
  * Remove relative_move_action (MiR => 2.4.0)
    This action was merged into the generic MirMoveBaseAction in MiR
    software 2.4.0.
  * Adjust to changed MirMoveBase action (MiR >= 2.4.0)
    See #45 <https://github.com/dfki-ric/mir_robot/issues/45>.
  * Adjust cmd_vel topic to TwistStamped (MiR >= 2.7)
    See #45 <https://github.com/dfki-ric/mir_robot/issues/45>.
  * Contributors: Martin Günther, matthias-mayr

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 10 Jun 2021 22:00:00 -0000

ros-noetic-mir-driver (1.1.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-mir-driver (1.1.1-1focal) focal; urgency=high

  * Fix subscribing twice to same topic (TF etc)
    There was a flaw in the subscriber logic that caused the mir_bridge to
    subscribe multiple times to the same topic from the MiR, especially for
    latched topics. This can be seen by repeated lines in the output:
    starting to stream messages on topic 'tf'
    starting to stream messages on topic 'tf'
    starting to stream messages on topic 'tf'
    Probably related to #64 <https://github.com/dfki-ric/mir_robot/issues/64>.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 10 Feb 2021 23:00:00 -0000

ros-noetic-mir-driver (1.1.0-1focal) focal; urgency=high

  * Initial release into noetic
  * Adapt to changes in websocket-client >= 0.49
    Ubuntu 16.04 has python-websocket  0.18
    Ubuntu 20.04 has python3-websocket 0.53
  * Update scripts to Python3 (Noetic)
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-noetic-mir-driver (1.0.6-1focal) focal; urgency=high

  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-noetic-mir-driver (1.0.5-1focal) focal; urgency=high

  * Add optional prefix parameter to fake_mir_joint_publisher (#47 <https://github.com/dfki-ric/mir_robot/issues/47>)
  * tf_remove_child_frames: Don't publish empty TFs
  * Add sdc21x0 package, MC/currents topic
  * Contributors: Martin Günther, Nils Niemann

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 30 Apr 2020 22:00:00 -0000

ros-noetic-mir-driver (1.0.4-1focal) focal; urgency=high

  * Remove garbage file
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-noetic-mir-driver (1.0.3-1focal) focal; urgency=high

  * Make disable_map work with MiR software 2.0
    See #5 <https://github.com/dfki-ric/mir_robot/issues/5>.
  * mir_driver: Optionally disable the map topic + TF frame (#6 <https://github.com/dfki-ric/mir_robot/issues/6>)
    This is useful when running one's own SLAM / localization nodes.
    Fixes #5 <https://github.com/dfki-ric/mir_robot/issues/5>.
  * Split scan_rep117 topic into two separate topics


=== debian/control ===
Source: ros-noetic-mir-driver
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), python3-websocket, ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-diagnostic-msgs, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-mir-actions, ros-noetic-mir-msgs, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-rosgraph-msgs, ros-noetic-roslaunch, ros-noetic-rospy, ros-noetic-rospy-message-converter, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-visualization-msgs
Homepage: https://github.com/dfki-ric/mir_robot
Standards-Version: 3.9.2

Package: ros-noetic-mir-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-websocket, ros-noetic-actionlib-msgs, ros-noetic-diagnostic-msgs, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-mir-actions, ros-noetic-mir-description, ros-noetic-mir-msgs, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-robot-state-publisher, ros-noetic-rosgraph-msgs, ros-noetic-rospy, ros-noetic-rospy-message-converter, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-visualization-msgs
Description: A reverse ROS bridge for the MiR robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-mir-driver//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
